
Foreman - Bug #3853

allow rabl overrides to taxonomies_controller

12/11/2013 01:14 PM - Thomas McKay

Status: Closed   

Priority: Normal   

Assignee: Thomas McKay   

Category: API   

Target version: 1.4.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

When an engine extends a core model, they may wish to override the rabl json to include their own fields.

For example, the index method in app/controllers/api/v2/taxonomies_controller.rb could be changed to

def index(rabl='api/v2/taxonomies/index')

  ...

  render rabl

end

Related issues:

Related to Foreman - Feature #3763: Ability for engine/plugin to extend RABL ... Closed 11/26/2013

Related to Foreman - Feature #9375: Find a way for plugins to easily override... Rejected 02/13/2015

Associated revisions

Revision c0537928 - 12/30/2013 01:30 PM - Thomas McKay

fixes #3853 - allow rabl template override to be specified

3853-taxonomy-rabl - changed style of override

History

#1 - 12/30/2013 02:31 PM - Thomas McKay

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset c053792864ddb65f27e57e462564cc5dace112a7.

#2 - 01/02/2014 03:22 PM - Dominic Cleal

- Assignee set to Thomas McKay

- Target version set to 1.9.3

- translation missing: en.field_release set to 2

#3 - 01/02/2014 03:23 PM - Dominic Cleal

- Related to Feature #3763: Ability for engine/plugin to extend RABL responses added

#4 - 02/13/2015 11:14 AM - David Davis

- Related to Feature #9375: Find a way for plugins to easily override the behavior of taxonomies controller actions added
